## rxvt-unicode 9.09

=== debian/changelog ===
rxvt-unicode (9.09-3) unstable; urgency=low

  * Set TERM to rxvt-256color for regular and -ml flavors. This may be
    a temporary measure until we fork the "rxvt-unicode" terminfo entry;
    please send your feedback.

 -- Decklin Foster <decklin@red-bean.com>  Tue, 07 Dec 2010 11:33:49 -0500

rxvt-unicode (9.09-2) unstable; urgency=low

  [ Bhavani Shankar ]
  * Link against libfontconfig to fix FTBFS with binutils-gold (Closes:
    #604952)

  [ Decklin Foster ]
  * Enable 256 colors in regular and -ml flavors (hooray!) (Closes:
    #493481)
  * Fix handling of 'meta8' option for non-latin1 locales (Closes:
    #558725)

 -- Decklin Foster <decklin@red-bean.com>  Tue, 30 Nov 2010 01:34:55 -0500

rxvt-unicode (9.09-1) unstable; urgency=low

  * New upstream version
  * Switch to 3.0 (quilt) source format

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Nov 2010 14:41:02 -0500

rxvt-unicode (9.07-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Disable use of epoll on Alpha and SPARC (Closes: #570689)

  [ Decklin Foster ]
  * Change xutils build-dep to xutils-dev (Closes: #575859)
  * Fix copyright notice
  * Use "Terminal Emulators" menu section

 -- Decklin Foster <decklin@red-bean.com>  Sun, 18 Apr 2010 21:55:23 -0400

rxvt-unicode (9.07-1) unstable; urgency=low

  * New upstream version
    - Fixes FTBFS non-const declaration in background.C (Closes: #560482)

 -- Decklin Foster <decklin@red-bean.com>  Thu, 14 Jan 2010 21:04:21 -0500

rxvt-unicode (9.06-3) unstable; urgency=low

  * Don't remove urxvtcd alternative if selected (Closes: #555310)
  * Fix x-terminal-emulator priority for urxvt

 -- Decklin Foster <decklin@red-bean.com>  Sun, 29 Nov 2009 22:00:45 -0500

rxvt-unicode (9.06-2) unstable; urgency=medium

  * Don't install an alternative for urxvtcd (due to #481123)

 -- Decklin Foster <decklin@red-bean.com>  Mon, 02 Nov 2009 11:11:44 -0500

rxvt-unicode (9.06-1) unstable; urgency=low

  * New upstream version
    - Uses PERL_SYS_INIT3 (Closes: #495066)
  * Disable libafterimage in -lite flavor (Closes: #493480)

 -- Decklin Foster <decklin@red-bean.com>  Sat, 08 Nov 2008 18:32:29 -0500

rxvt-unicode (9.05-4) unstable; urgency=low

  * Remove urxvtcd alternative in prerm (Closes: #503137)
    - Also, install its manual page as a slave.

 -- Decklin Foster <decklin@red-bean.com>  Sat, 25 Oct 2008 22:53:39 -0400

rxvt-unicode (9.05-3) unstable; urgency=low

  * Correct location of rgb.txt (Closes: #501728)
  * Fix xterm scrollbar border color

 -- Decklin Foster <decklin@red-bean.com>  Tue, 21 Oct 2008 17:03:42 -0400

rxvt-unicode (9.05-2) unstable; urgency=low

  * Remove quilt, put the following it git:
    - Elide very obsolete documentation of problems with sarge .deb
    - Fix sed and podselect invocations so that docs are generated
      correctly
    - Enable checking of app-defaults resources by default
    - Perl ext: set default cutchars, fix double-click word selection
  * Add example for shift-up/down arrow scrolling (suggested by Nico
    Golde)
  * Bitstream Vera -> DejaVu (code only! not in docs.) (Closes: #461289)
  * Don't set urgency hint if focused (Closes: #493981)

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Sep 2008 18:36:06 -0400

rxvt-unicode (9.05-1) unstable; urgency=low

  * New Upstream Version

 -- Decklin Foster <decklin@red-bean.com>  Mon, 16 Jun 2008 21:15:27 -0400

rxvt-unicode (9.02-1) unstable; urgency=low

  * New upstream release, obsoletes urxvtc-destroy.patch
  * Preserve EWMH state and desktop properties in the tabbed extension
    (Closes: #459888)

 -- Decklin Foster <decklin@red-bean.com>  Tue, 29 Jan 2008 22:39:18 -0500

rxvt-unicode (8.9-2) unstable; urgency=low

  * Add patch to prevent urxvtd crashing when urxvtc is passed an illegal
    option. (Closes: #460560)

 -- Decklin Foster <decklin@red-bean.com>  Tue, 15 Jan 2008 22:23:06 -0500

rxvt-unicode (8.9-1) unstable; urgency=low

  * New upstream release.
  * Don't refer to CFLAGS in debian/rules, as we are actually setting
    CXXFLAGS.

 -- Decklin Foster <decklin@red-bean.com>  Wed, 26 Dec 2007 21:56:16 -0500

rxvt-unicode (8.7-2) unstable; urgency=high

  * Set EV_USE_POLL to 1 on powerpc, to work around a particularly nasty
    bug where libev would consistently abort with a failed assertion on
    startup. Current versions are already fixed, but this patch is being
    uploaded to replace the broken 8.7-1 in testing. (Closes: #457658)

 -- Decklin Foster <decklin@red-bean.com>  Wed, 26 Dec 2007 20:19:17 -0500

rxvt-unicode (8.7-1) unstable; urgency=low

  * New upstream release (Closes: #455541)
    - libafterimage now used for pixmap support (Closes: #448663)
    - Merges man-typos.patch, popup-https.patch, sensible-browser.patch
  * All flavors but -lite will depend on libafterimage, but XIM and
    ISO14775 are now only in -ml so as not to bother users who don't want
    them. (Closes: #393847)
  * Fix groff copypasta in select-quoted.patch
  * Don't install rxvt.1.gz as a slave alternative twice (Closes: #412062)

 -- Decklin Foster <decklin@red-bean.com>  Wed, 12 Dec 2007 19:45:22 -0500

rxvt-unicode (8.4-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Sat, 27 Oct 2007 21:08:55 -0400

rxvt-unicode (8.3-2) unstable; urgency=low

  * Fix sed and podselect invocations so that docs are generated correctly
    (Closes: #437364)

 -- Decklin Foster <decklin@red-bean.com>  Sun, 12 Aug 2007 02:24:21 -0400

rxvt-unicode (8.3-1) unstable; urgency=low

  * New upstream release (Closes: #433004)
    - Rolled with autoconf 2.61 (Closes: #422540)
  * Match https URLs in selection-popup (Closes: #428659)
  * Fix typos in urxvtperl(3) (Closes: #411074, #415848)
  * Use sensible-browser instead of x-www-browser directly (Closes: #415846)
  * Added urxvtcd as alternative (Closes: #381967)

 -- Decklin Foster <decklin@red-bean.com>  Fri, 03 Aug 2007 12:44:44 -0400

rxvt-unicode (7.9-2) unstable; urgency=low


