=== debian/control ===
Source: rxvt-unicode
Section: x11
Priority: optional
Maintainer: Decklin Foster <decklin@red-bean.com>
Build-Depends: debhelper (>= 4.0.0), libxt-dev, libxrender-dev, libx11-dev, libxpm-dev, groff-base, autotools-dev, xutils-dev, libxft-dev (>= 2.1.8.2-5.1), chrpath, libperl-dev, libafterimage-dev
Standards-Version: 3.7.2

Package: rxvt-unicode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, base-passwd (>= 2.0.3.4), ncurses-base (>= 5.4-7)
Provides: x-terminal-emulator
Suggests: ttf-dejavu
Description: RXVT-like terminal emulator with Unicode support
 rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
 significantly less memory than a conventional xterm and many other Unicode
 supporting terminal emulators.
 .
 It supports using multiple fonts at the same time, including Xft fonts, and
 client-server technology to reduce memory consumption when using multiple
 windows.
 .
 This package contains the program version with most commonly-used features
 enabled, including transparency, (16-bit) Unicode and FreeType font support.

Package: rxvt-unicode-ml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, base-passwd (>= 2.0.3.4), ncurses-base (>= 5.4-7)
Provides: x-terminal-emulator, rxvt-unicode
Suggests: ttf-bitstream-vera, ttf-kochi-gothic
Conflicts: rxvt-unicode
Description: multi-lingual terminal emulator with Unicode support for X11
 rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
 significantly less memory than a conventional xterm and many other Unicode
 supporting terminal emulators.
 .
 It supports using multiple fonts at the same time, including Xft fonts, and
 client-server technology to reduce memory consumption when using multiple
 windows.
 .
 This package is configured with all additional features, including additional
 multi-language functions (direct support for Asian encodings and extended
 Unicode 3 support), and an embedded Perl interpreter.

Package: rxvt-unicode-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, base-passwd (>= 2.0.3.4), ncurses-base (>= 5.4-7)
Provides: x-terminal-emulator, rxvt-unicode
Conflicts: rxvt-unicode
Description: RXVT-like terminal emulator with basic Unicode support
 rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
 significantly less memory than a conventional xterm and many other Unicode
 supporting terminal emulators.
 .
 It supports using multiple fonts at the same time, including Xft fonts, and
 client-server technology to reduce memory consumption when using multiple
 windows.
 .
 This package contains the small version with only a few extra features and
 without Freetype support.
