## rxvt-unicode 9.12

=== debian/changelog ===
rxvt-unicode (9.12-1) unstable; urgency=low

  * New upstream release
  * Dropped 13_fix_paste.diff, applied upstream

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 19 Jul 2011 15:09:15 -0400

rxvt-unicode (9.11-2) unstable; urgency=low

  * Fix paste in 9.11, 13_fix_paste.diff (Closes: #631264)
  * Added missing build-arch and build-indep targets to rules
  * Turn on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 23 Jun 2011 08:08:46 -0400

rxvt-unicode (9.11-1) unstable; urgency=low

  * New upstream release
    - No longer have selection extension get confused by Unicode cutchars
      (Closes: #616463)
    - Enable selection of lines with umlauted characters (Closes: #523072)
    - Document perl urxvt:: functions (Closes: #504817)
    - Set a default PATH_MAX to fix FTBFS on hurd (Closes: #624736)
    - Drop 13_screenoverlay_shortcut_clash.diff, applied upstream
  * This build will build against the latest perl (5.12) in unstable.
    (Closes: #625823, #625827)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 06 May 2011 07:19:52 -0400

rxvt-unicode (9.10-2) unstable; urgency=low

  * Fix the rxvt-unicode <-> rxvt-unicode-ml relationship to fix the
    depend/conflict cycle, (Closes: #613780)
  * Don't have C-M-X shortcuts make urxvt crash when X is accessed through a
    shift key (13_screenoverlay_shortcut_clash.diff)
  * Clean up files we've been leaving behind. (Closes: #578291)
  * Bump to standards version 3.9.2

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 30 Apr 2011 14:44:55 -0400

rxvt-unicode (9.10-1) unstable; urgency=low

  * New maintainer (Closes: #617542)
  * Imported Upstream version 9.10
    - Fixes regression, urxvtd no longer forks when it shouldn't
      (Closes: #613076)
    - Dropped 09_binutils_gold.diff, no longer needed
    - Replace libafterimage-dev with libgtk2.0-dev in B-D
  * Remove a copy of part of Decklin's homedir
  * Bump standards to 3.9.1
  * Bump compat to 7 and increment debhelper version to 7.0.0
  * Split up debian-changes-9.01-1 into a series of single patches
    - Set app-defaults path in 01_app-defaults.diff
    - Use DejaVu instead of Bitstream Vera in 02_use_dejavu.diff
    - Dropped xterm scrollbar border color patch, 03_fix_xterm_scrollbar.diff
    - Dropped patch 04_no_urgency_on_focus.diff
    - Dropped set default cutchars, fix double-click word selection,
      05_cutchars.diff
    - Elide obsolete documentation in 06_debian_docs.diff
    - Set correct path to file with color names in manpage,
      07_rgb_location.diff
    - Rebuild documentation, 08_rebuild_docs.diff
  * Split debian-changes-9.09-2 into single patches
    - Link against libfontconfig to fix FTBFS with binutils-gold,
      09_binutils_gold.diff
    - Dropped the metabit patch, 10_metabit.diff
  * In debian/rules:
     - Don't ignore all make errors on clean
     - plain-scroll is no longer a configure option, dropped it from our list
     - Use dh_autotools-dev_* instead of manually replacing config.guess,
       config.sub
     - dh_clean should be the last thing called in the clean target
     - Don't ship empty usr/{bin,share/pixmaps} and etc/X11/app-defaults
       in rxvt-unicode-ml
     - Don't install empty directory usr/share/pixmaps in rxvt-unicode-ml
  * Depend on ncurses-term >= 5.8-1 for rxvt-unicode-256color terminfo
    (Closes: #613226)
  * Fix malformed whatis entries (11_fix_lexgrog.diff)
  * Don't use hyphens as minus signs (12_hyphen_minus_sign.diff)
  * Added lintian overrides for tables that are too wide in urxvt.7. These are
    generated manpages and so these man warnings aren't really fixable.
  * Added homepage to control
  * rxvt-unicode-ml is a transition package depending on rxvt-unicode, don't
    install a menu entry since there is no accompanying binary.
  * Don't reference a symlink of the GPL from copyright file
  * set -e in maintainer scripts instead of '-e' option on #! line
  * Added Vcs-* fields
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 27 Mar 2011 07:36:20 -0400

rxvt-unicode (9.09-5) unstable; urgency=low

  * Split into rxvt-unicode-256color package

 -- Decklin Foster <decklin@red-bean.com>  Thu, 10 Feb 2011 13:03:21 -0500

rxvt-unicode (9.09-4) unstable; urgency=low

  * Recommend ncurses-term for regular/ml flavors (Closes: #605951)
  * Update -ml font depends (kochi -> sazanami)

 -- Decklin Foster <decklin@red-bean.com>  Wed, 08 Dec 2010 11:52:58 -0500
