=== debian/control ===
Source: rxvt-unicode
Section: x11
Priority: optional
Maintainer: Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>
Uploaders: Ryan Kavanagh <ryanakca@kubuntu.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.0),
 libxt-dev,
 libxrender-dev,
 libx11-dev,
 libxpm-dev,
 groff-base,
 autotools-dev,
 xutils-dev,
 libxft-dev (>= 2.1.8.2-5.1),
 chrpath,
 libperl-dev,
 libev-dev,
 libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://software.schmorp.de/pkg/rxvt-unicode.html
Vcs-Browser: http://git.debian.org/?p=pkg-urxvt/pkg-urxvt.git
Vcs-Git: git://git.debian.org/pkg-urxvt/pkg-urxvt.git
DM-Upload-Allowed: yes

Package: rxvt-unicode
Architecture: any
Provides: x-terminal-emulator
Replaces: rxvt-unicode-ml (<< 9.10-2)
Breaks: rxvt-unicode-ml (<< 9.10-2)
Depends: ${shlibs:Depends}, ${misc:Depends},
 base-passwd (>= 2.0.3.4),
 ncurses-base (>= 5.4-7)
Recommends: ttf-dejavu,
 ttf-sazanami-gothic
Description: RXVT-like terminal emulator with Unicode support
 rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
 significantly less memory than a conventional xterm and many other Unicode
 supporting terminal emulators.
 .
 It supports using multiple fonts at the same time, including Xft fonts, and
 client-server technology to reduce memory consumption when using multiple
 windows.

Package: rxvt-unicode-ml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rxvt-unicode (>= 9.10-2)
Description: multi-lingual terminal emulator -- transitional package
 This is a transitional package depending on rxvt-unicode. Previously, some
 features were disabled in the regular package because they used more memory
 even when not being used, but this is no longer the case. All features
 previously enabled only in this package are now available in rxvt-unicode.

Package: rxvt-unicode-256color
Architecture: any
Provides: x-terminal-emulator, rxvt-unicode
Depends: ${shlibs:Depends}, ${misc:Depends},
 base-passwd (>= 2.0.3.4),
 ncurses-term (>= 5.8-1)
Recommends: ttf-dejavu,
 ttf-sazanami-gothic
Conflicts: rxvt-unicode
Description: multi-lingual terminal emulator with Unicode support for X11
 rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
 significantly less memory than a conventional xterm and many other Unicode
 supporting terminal emulators.
 .
 It supports using multiple fonts at the same time, including Xft fonts, and
 client-server technology to reduce memory consumption when using multiple
 windows.
 .
 This package is configured with 256-color support, and TERM set to
 "rxvt-unicode-256color". Any other systems you log into must have this
 terminfo entry installed!

Package: rxvt-unicode-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 base-passwd (>= 2.0.3.4),
 ncurses-base (>= 5.4-7)
Provides: x-terminal-emulator, rxvt-unicode
Conflicts: rxvt-unicode
Description: RXVT-like terminal emulator with basic Unicode support
 rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
 significantly less memory than a conventional xterm and many other Unicode
 supporting terminal emulators.
 .
 It supports using multiple fonts at the same time, including Xft fonts, and
 client-server technology to reduce memory consumption when using multiple
 windows.
 .
 This package contains the small version with only a few extra features and
 without Freetype support.
