=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
     --prefix=/usr \
     --mandir=\$${prefix}/share/man \
     --infodir=\$${prefix}/share/info \
-    --enable-plain-scroll \
     --enable-keepscrolling \
     --enable-selectionscrolling \
     --enable-pointer-blank \
@@ -36,44 +35,15 @@
     --enable-lastlog
 
 config.status: configure
-	dh_testdir
-	cp -f /usr/share/misc/config.sub config.sub
-	cp -f /usr/share/misc/config.guess config.guess
-
-conf-unicode-lite:
-	CXXFLAGS="$(CXXFLAGS)" ./configure $(cfgcommon) \
-	    --disable-xft \
-	    --disable-afterimage \
-	    --disable-perl \
-	    --disable-iso14755 \
-	    --with-term=rxvt-unicode
+	dh_autotools-dev_updateconfig
 
 conf-unicode:
-	CXXFLAGS="$(CXXFLAGS)" ./configure $(cfgcommon) \
-	    --enable-xft \
-	    --enable-font-styles \
-	    --enable-256-color \
-	    --enable-afterimage \
-	    --enable-transparency \
-	    --enable-fading \
-	    --enable-rxvt-scroll \
-	    --enable-next-scroll \
-	    --enable-xterm-scroll \
-	    --enable-perl \
-	    --enable-mousewheel \
-	    --enable-slipwheeling \
-	    --enable-smart-resize \
-	    --disable-iso14755 \
-	    --with-term=rxvt-256color
-
-conf-unicode-ml:
 	CXXFLAGS="$(CXXFLAGS)" ./configure $(cfgcommon) \
 	    --enable-unicode3 \
 	    --enable-combining \
 	    --enable-xft \
 	    --enable-font-styles \
-	    --enable-256-color \
-	    --enable-afterimage \
+	    --enable-pixbuf \
 	    --enable-transparency \
 	    --enable-fading \
 	    --enable-rxvt-scroll \
@@ -82,13 +52,43 @@
 	    --enable-perl \
 	    --enable-xim \
 	    --enable-iso14755 \
-	    --enable-frills \
 	    --enable-mousewheel \
 	    --enable-slipwheeling \
 	    --enable-smart-resize \
-	    --with-term=rxvt-256color
-
-build: build-stamp
+	    --with-term=rxvt-unicode
+
+conf-unicode-256color:
+	CXXFLAGS="$(CXXFLAGS)" ./configure $(cfgcommon) \
+	    --enable-unicode3 \
+	    --enable-combining \
+	    --enable-xft \
+	    --enable-font-styles \
+	    --enable-256-color \
+	    --enable-pixbuf \
+	    --enable-transparency \
+	    --enable-fading \
+	    --enable-rxvt-scroll \
+	    --enable-next-scroll \
+	    --enable-xterm-scroll \
+	    --enable-perl \
+	    --enable-xim \
+	    --enable-iso14755 \
+	    --enable-mousewheel \
+	    --enable-slipwheeling \
+	    --enable-smart-resize \
+	    --with-term=rxvt-unicode-256color
+
+conf-unicode-lite:
+	CXXFLAGS="$(CXXFLAGS)" ./configure $(cfgcommon) \
+	    --disable-xft \
+	    --disable-pixbuf\
+	    --disable-perl \
+	    --disable-iso14755 \
+	    --with-term=rxvt-unicode
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 
@@ -96,10 +96,11 @@
 	dh_installdirs -A usr/bin etc/X11/app-defaults usr/share/pixmaps
 
 	set -e; \
-	for x in unicode unicode-lite unicode-ml; do \
+	for x in unicode unicode-256color unicode-lite; do \
 		cp -f debian/rxvt-unicode-base.preinst debian/rxvt-$$x.preinst; \
 		cp -f debian/rxvt-unicode-base.postinst debian/rxvt-$$x.postinst; \
 		cp -f debian/rxvt-unicode-base.prerm debian/rxvt-$$x.prerm; \
+		cp -f debian/rxvt-unicode-base.docs debian/rxvt-$$x.docs; \
 		y=$(CURDIR)/debian/rxvt-$$x ; z=$(CURDIR)/tmp/$$x; \
 		$(MAKE) $(MFLAGS) -f debian/rules conf-$$x && \
 			perl -pe s,..tag.CXX,, -i src/Makefile; \
@@ -121,20 +122,41 @@
 		cp debian/app-defaults $$y/etc/X11/app-defaults/URxvt; \
 	done
 
+	# Don't install empty directories
+	rmdir debian/rxvt-unicode-ml/usr/bin
+	rmdir debian/rxvt-unicode-ml/usr/share/pixmaps
+	rm -fr debian/rxvt-unicode-ml/etc/
+
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	dh_clean build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
-	-$(MAKE) -C doc realclean
-	rm -f config.guess config.sub config.log
+	[ ! -f Makefile ] || $(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) -C doc realclean
+	rm -f config.log
+	dh_autotools-dev_restoreconfig
 	# these will be fixed shortly
 	rm -f src/rxvtlib.h
 	rm -f doc/Makefile
+
+	# Remove various extra files we create during build
+	set -e; \
+	for x in unicode unicode-256color unicode-lite; do \
+	    rm -f debian/rxvt-$$x.preinst; \
+	    rm -f debian/rxvt-$$x.postinst; \
+	    rm -f debian/rxvt-$$x.prerm; \
+	    rm -f debian/rxvt-$$x.docs; \
+	done
+
+	rm -f doc/*.txt.in
+	rm -f doc/README.*.in
+	rm -f doc/pod2*.tmp
+	rm -fr tmp
+
+	dh_clean build-stamp
 
 # XXX: rewrite all of this and use it; it is untouched.
 install: build
@@ -177,7 +199,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -A Changes
-	dh_installdocs -A `cat debian/docs`
+	dh_installdocs
 	dh_installexamples
 	# fix the perms
 #	chmod -x debian/*/usr/share/doc/*/examples/menu/*
@@ -187,6 +209,7 @@
 #	dh_installdebconf
 #	dh_installinfo
 #	dh_link
+	dh_lintian
 	dh_strip
 	dh_compress
 	dh_fixperms
