=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  base-passwd (>= 2.0.3.4),
  ncurses-base (>= 5.4-7)
 Recommends: ttf-dejavu,
- ttf-sazanami-gothic
+ fonts-vlgothic | fonts-japanese-gothic
 Description: RXVT-like terminal emulator with Unicode support
  rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
  significantly less memory than a conventional xterm and many other Unicode
@@ -43,6 +43,8 @@
 
 Package: rxvt-unicode-ml
 Architecture: any
+Section: oldlibs
+Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, rxvt-unicode (>= 9.10-2)
 Description: multi-lingual terminal emulator -- transitional package
  This is a transitional package depending on rxvt-unicode. Previously, some
@@ -57,7 +59,7 @@
  base-passwd (>= 2.0.3.4),
  ncurses-term (>= 5.8-1)
 Recommends: ttf-dejavu,
- ttf-sazanami-gothic
+ fonts-vlgothic | fonts-japanese-gothic
 Conflicts: rxvt-unicode
 Description: multi-lingual terminal emulator with Unicode support for X11
  rxvt-unicode is a modern, Unicode-aware color xterm replacement that uses
