## rxvt-unicode 9.15

=== debian/changelog ===
rxvt-unicode (9.15-2+deb7u1) wheezy-security; urgency=high

  * Fix user-assisted security vulnerability, 13_CVE-2014-3121.diff:
    This fixes a user-assisted arbitrary commands execution vulnerability that
    could be exploited using certain escape sequences in a crafted text file
    or program output (CVE-2014-3121) (Closes: #746593)

 -- Ryan Kavanagh <rak@debian.org>  Wed, 07 May 2014 09:32:02 -0400

rxvt-unicode (9.15-2) unstable; urgency=low

  * Use hardening build flags via dpkg-buildflags
  * Bump standards version to 3.9.3

 -- Ryan Kavanagh <rak@debian.org>  Fri, 29 Jun 2012 10:35:09 -0400

rxvt-unicode (9.15-1) unstable; urgency=low

  * Imported Upstream version 9.15
    - Update people's copyright years
    - Refresh patches
  * Enable startup-notification for rxvt-unicode and rxvt-unicode-256color but
    not for rxvt-unicode-light (Closes: #656253)
    - Add libstartup-notification0-dev to B-D

 -- Ryan Kavanagh <rak@debian.org>  Mon, 30 Jan 2012 06:35:19 -0500
