=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>
-Uploaders: Ryan Kavanagh <ryanakca@kubuntu.org>, Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Ryan Kavanagh <rak@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.0),
  libxt-dev,
  libxrender-dev,
@@ -15,12 +15,12 @@
  chrpath,
  libperl-dev,
  libev-dev,
+ libstartup-notification0-dev,
  libgtk2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://software.schmorp.de/pkg/rxvt-unicode.html
 Vcs-Browser: http://git.debian.org/?p=pkg-urxvt/pkg-urxvt.git
 Vcs-Git: git://git.debian.org/pkg-urxvt/pkg-urxvt.git
-DM-Upload-Allowed: yes
 
 Package: rxvt-unicode
 Architecture: any
