## rxvt-unicode 9.18

=== debian/changelog ===
rxvt-unicode (9.18-3b1) staging; urgency=low

  * No-change rebuild against perl-5.18

 -- Tanglu AutoRebuilder <dak-rebuild@tanglu.org>  Sun, 06 Oct 2013 02:17:18 +0200

rxvt-unicode (9.18-3) unstable; urgency=low

  * Tabbed extension now works with Perl 5.18 (Closes: #721456),
    15_perl_518.diff
  * Make Vcs-* fields canonical
  * Drop manpage-has-errors-from-man override in rxvt-unicode-256color, no
    longer used
  * Update clean target to restore sources to pristine condition

 -- Ryan Kavanagh <rak@debian.org>  Sun, 01 Sep 2013 08:39:38 -0400

rxvt-unicode (9.18-2) unstable; urgency=low

  * Upload to unstable now that wheezy has been released
  * Merge in patch from gregor herrman fixing a FTBFS due to POD errors
    (Closes: #708026)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 26 May 2013 18:12:22 -0400

rxvt-unicode (9.18-1) experimental; urgency=low

  * Imported Upstream version 9.18
  * Added menu file for rxvt-unicode-256color (Closes: #690226)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 20 Apr 2013 17:55:45 -0400

rxvt-unicode (9.17-1) experimental; urgency=low

  * Imported Upstream version 9.17
    + Document Ctrl-Left/Right in tabbed extension (Closes: #684880)
    + Update copyright years
    + Refreshed patches
  * Take over maintainership of rxvt-unicode, team is long dead
  * Bump standards to 3.9.4
  * Re-enable -Wall, (Closes: #679796)
  * Cleanup more files upstream misses
  * Ignore certain auto-regenerated files in diff, see debian/source/options
  * Undo changes to auto-generated files in clean target, as mandated by
    policy
  * Set urxvtperl(3)'s .TH to 3 since we're installing in section 3,
    13_section_mismatch.diff
  * Update 11_fix_lexgrog.diff to deal with broken NAME in selection-popup
    manpage
  * Fix POD errors in urxvt manpage, 14_pod_errors.diff

 -- Ryan Kavanagh <rak@debian.org>  Thu, 21 Mar 2013 09:28:31 -0400
