=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rxvt-unicode
 Section: x11
 Priority: optional
-Maintainer: Debian rxvt-unicode Maintainers <pkg-urxvt-maintainers@lists.alioth.debian.org>
-Uploaders: Ryan Kavanagh <rak@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Ryan Kavanagh <rak@debian.org>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.0),
  libxt-dev,
  libxrender-dev,
@@ -17,10 +17,10 @@
  libev-dev,
  libstartup-notification0-dev,
  libgtk2.0-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://software.schmorp.de/pkg/rxvt-unicode.html
-Vcs-Browser: http://git.debian.org/?p=pkg-urxvt/pkg-urxvt.git
-Vcs-Git: git://git.debian.org/pkg-urxvt/pkg-urxvt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-urxvt/pkg-urxvt.git
+Vcs-Git: git://anonscm.debian.org/pkg-urxvt/pkg-urxvt.git
 
 Package: rxvt-unicode
 Architecture: any
