=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,9 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) -Wall
+CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) -Wall
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -Wall
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -24,6 +24,24 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+# Backup files that get overwriten so that the clean target can restore
+# them.
+BACKUP_FILES = \
+    README.FAQ \
+    README.configure \
+    doc/rxvt.1.man.in \
+    doc/rxvt.1.pod \
+    doc/rxvt.7.man.in \
+    doc/rxvt.7.pod \
+    doc/rxvt.1.man.in \
+    doc/rxvtc.1.pod \
+    src/Makefile.in \
+    src/perl/selection-popup \
+    src/perl/tabbed \
+    src/rxvtfont.C \
+    src/rxvttoolkit.C
+BACKED_UP_FILES = $(BACKUP_FILES:%=%.debian-backup)
 
 cfgcommon = \
     --host=$(DEB_HOST_GNU_TYPE) \
@@ -36,6 +54,7 @@
     --enable-pointer-blank \
     --enable-utmp \
     --enable-wtmp \
+    --enable-warnings \
     --enable-lastlog
 
 flagscommon = \
@@ -44,7 +63,7 @@
     CXXFLAGS="$(CXXFLAGS)" \
     LDFLAGS="$(LDFLAGS)"
 
-config.status: configure
+config.status: | $(BACKUP_FILES) configure
 	dh_autotools-dev_updateconfig
 
 conf-unicode:
@@ -142,7 +161,7 @@
 
 	touch build-stamp
 
-clean:
+clean: restore
 	dh_testdir
 	dh_testroot
 
@@ -167,6 +186,8 @@
 	rm -f doc/*.txt.in
 	rm -f doc/README.*.in
 	rm -f doc/pod2*.tmp
+	rm -f doc/rxvt.7.tbl
+	rm -f mantmp
 	rm -fr tmp
 
 	dh_clean build-stamp
@@ -175,7 +196,7 @@
 install: build
 #	dh_testdir
 #	dh_testroot
-#	dh_clean -k 
+#	dh_clean -k
 #	dh_installdirs -A usr/bin etc/X11/app-defaults usr/share/pixmaps etc/terminfo/r
 #	$(MAKE) install prefix=$(CURDIR)/debian/rxvt-unicode/usr
 #	cd debian/rxvt-unicode/usr/share/man/man1 && mv rxvt.1 rxvt-unicode.1 && cp $(CURDIR)/debian/rxvtc.1 . && ln -sf rxvtc.1.gz rxvtd.1.gz
@@ -243,4 +264,6 @@
 	    grep -v 'debian/' | \
 	    sed -e 's/.*: \* //g;s/.*:# //g;s/(c)/(C)/g' | \
 	    sort -k4,3 | uniq
-.PHONY: build clean binary-indep binary-arch binary install copyright
+
+%.debian-backup:
+	@# Move the matching stem, foo, to foo.debian-backup.
