=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libev-dev,
  libstartup-notification0-dev,
  libgtk2.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://software.schmorp.de/pkg/rxvt-unicode.html
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-urxvt/pkg-urxvt.git
 Vcs-Git: git://anonscm.debian.org/pkg-urxvt/pkg-urxvt.git
