=== debian/rules ===
--- 
+++ 
@@ -125,7 +125,7 @@
 	dh_testdir
 
 	mkdir -p tmp
-	dh_installdirs -A usr/bin etc/X11/app-defaults usr/share/pixmaps
+	dh_installdirs -A usr/bin etc/X11/app-defaults usr/share/pixmaps /usr/share/applications
 
 	set -e; \
 	for x in unicode unicode-256color unicode-lite; do \
@@ -147,6 +147,7 @@
 		ln -sf urxvt.1.gz $$y/usr/share/man/man1/rxvt-unicode.1.gz; \
 		chrpath -d $$y/usr/bin/*; \
 		install -m644 debian/*.xpm $$y/usr/share/pixmaps; \
+		install -m644 debian/*.desktop $$y/usr/share/applications; \
 		install -m755 debian/urxvtcd $$y/usr/bin; \
 		install -m644 debian/urxvtcd.1 $$y/usr/share/man/man1; \
 		gzip -9 $$y/usr/share/man/man1/urxvtcd.1; \
@@ -156,6 +157,7 @@
 
 	# Don't install empty directories
 	rmdir debian/rxvt-unicode-ml/usr/bin
+	rmdir debian/rxvt-unicode-ml/usr/share/applications
 	rmdir debian/rxvt-unicode-ml/usr/share/pixmaps
 	rm -fr debian/rxvt-unicode-ml/etc/
 
@@ -247,23 +249,14 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	for x in unicode unicode-256color unicode-lite; do \
+	    y=$(CURDIR)/debian/rxvt-$$x ;\
+	    chgrp utmp $$y/usr/bin/urxvt $$y/usr/bin/urxvtd;\
+	    chmod g+s $$y/usr/bin/urxvt $$y/usr/bin/urxvtd;\
+	done
 #	dh_perl
 #	dh_python
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-indep binary-arch
-
-copyright:
-	# Check to see if there's any changes in copyright
-	[ -d .git ] && git grep Copyright | \
-	    grep -v 'debian/' | \
-	    sed -e 's/.*: \* //g;s/.*:# //g;s/(c)/(C)/g' | \
-	    sort -k4,3 | uniq
-
-%.debian-backup:
-	@# Move the matching stem, foo, to foo.debian-backup.
