## rxvt-unicode 9.21

=== debian/changelog ===
rxvt-unicode (9.21-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 10:44:05 +0000

rxvt-unicode (9.21-1) unstable; urgency=medium

  * Imported Upstream version 9.21
  * Bump standards version to 3.9.6; no changes required
  * Drop 06_debian_docs.diff; applied upstream
  * Update copyright years
  * Fix broken clean target in debian/rules; some changes were not being
    cleaned up.
  * Make builds reproducible: don't include timestamp in gzipped manpages
  * Drop unused lintian override:
    rxvt-unicode: manpage-has-errors-from-man usr/share/man/man7/urxvt.7.gz *

 -- Ryan Kavanagh <rak@debian.org>  Sun, 08 Feb 2015 10:53:10 -0500
