=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
     doc/rxvt.7.pod \
     doc/rxvt.1.man.in \
     doc/rxvtc.1.pod \
+    doc/rxvtc.1.man.in \
     src/Makefile.in \
     src/perl/selection-popup \
     src/perl/tabbed \
@@ -63,7 +64,7 @@
     CXXFLAGS="$(CXXFLAGS)" \
     LDFLAGS="$(LDFLAGS)"
 
-config.status: | $(BACKUP_FILES) configure
+config.status: | $(BACKED_UP_FILES) configure
 	dh_autotools-dev_updateconfig
 
 conf-unicode:
@@ -150,7 +151,7 @@
 		install -m644 debian/*.desktop $$y/usr/share/applications; \
 		install -m755 debian/urxvtcd $$y/usr/bin; \
 		install -m644 debian/urxvtcd.1 $$y/usr/share/man/man1; \
-		gzip -9 $$y/usr/share/man/man1/urxvtcd.1; \
+		gzip -n9 $$y/usr/share/man/man1/urxvtcd.1; \
 		ln -sf urxvt.xpm $$y/usr/share/pixmaps/urxvt_32x32.xpm; \
 		cp debian/app-defaults $$y/etc/X11/app-defaults/URxvt; \
 	done
@@ -253,10 +254,4 @@
 	    y=$(CURDIR)/debian/rxvt-$$x ;\
 	    chgrp utmp $$y/usr/bin/urxvt $$y/usr/bin/urxvtd;\
 	    chmod g+s $$y/usr/bin/urxvt $$y/usr/bin/urxvtd;\
-	done
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
+	    find $$y -name '*debian-backup*' -exec rm -f {} \; ; \
